Bug 469813 - (CVE-2008-4907) CVE-2008-4907 dovecot: per-user DoS via message with malformed headers
CVE-2008-4907 dovecot: per-user DoS via message with malformed headers
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=gentoo,impact=moderate,reporte...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 03:22 EST by Tomas Hoger
Modified: 2010-03-29 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 05:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-04 03:22:46 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4907 to the following vulnerability:

The message parsing feature in Dovecot 1.1.4 and 1.1.5, when using the
FETCH ENVELOPE command in the IMAP client, allows remote attackers to
cause a denial of service (persistent crash) via an email with a
malformed From address, which triggers an assertion error, aka
"invalid message address parsing bug."

References:
http://www.dovecot.org/list/dovecot-news/2008-October/000089.html
http://www.securityfocus.com/bid/31997
http://secunia.com/advisories/32479
http://xforce.iss.net/xforce/xfdb/46227
Comment 1 Tomas Hoger 2008-11-04 03:28:14 EST
Original report on the dovecot mailinglist:
  http://dovecot.org/list/dovecot/2008-October/034658.html

Upstream commit:
  http://hg.dovecot.org/dovecot-1.1/rev/48840b2d4b18
Comment 2 Tomas Hoger 2008-11-04 03:29:00 EST
Original report additionally mentions another commit fixing "similar problem":
  http://hg.dovecot.org/dovecot-1.1/rev/04fdaa2f831e
  http://dovecot.org/pipermail/dovecot/2008-September/033736.html

We should look how this can be triggered and which versions are affected.
Comment 3 Jan Lieskovsky 2008-11-11 05:49:49 EST
The CVE-2008-4907 affects only the version of the Dovecot package, as shipped with Fedora release of 10. Maintainer, please upgrade, to the latest upstream 1.1.6 version.
Comment 4 Michal Hlavinka 2008-11-11 08:16:10 EST
(In reply to comment #3)
> The CVE-2008-4907 affects only the version of the Dovecot package, as shipped
> with Fedora release of 10. Maintainer, please upgrade, to the latest upstream
> 1.1.6 version.

It's sitting in dist-f10-update-candidate and waiting for rel-eng to retag with dist-f10-final

Note You need to log in before you can comment on or make changes to this bug.